Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class SEditAgentWindowHandler

    java.lang.Object
      java.awt.event.WindowAdapter
          madkit.kernel.AgentWindowHandler
              SEdit.SEditAgentWindowHandler

All Implemented Interfaces:
  java.awt.event.WindowFocusListener, java.awt.event.WindowListener, java.awt.event.WindowStateListener, java.util.EventListener

    public class SEditAgentWindowHandler

extends AgentWindowHandler

Version:
  1.0
Author:
  Olivier Gutknecht, J. Ferber

Field Summary

Fields inherited from class madkit.kernel.AgentWindowHandler
`theAgent, theBooter, theKernel`

Constructor Summary
`SEditAgentWindowHandler(Kernel k, AbstractMadkitBooter b, AbstractAgent ag)`

Method Summary
`void` | `windowActivated(java.awt.event.WindowEvent e)`
`void` | `windowClosing(java.awt.event.WindowEvent we)`

Methods inherited from class madkit.kernel.AgentWindowHandler
`windowDeactivated`

Methods inherited from class java.awt.event.WindowAdapter
`windowClosed, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SEditAgentWindowHandler

    public SEditAgentWindowHandler(Kernel k,
                                   AbstractMadkitBooter b,
                                   AbstractAgent ag)

Method Detail

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent we)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowClosing` in class `AgentWindowHandler`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent e)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowActivated` in class `AgentWindowHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.